{%
  set classes = [
  'node',
  'node--type-' ~ node.bundle|clean_class,
  'row',
  view_mode ? 'node--view-mode-' ~ view_mode|clean_class,
]
%}

<article{{ attributes.addClass(classes) }}>
  <div class="col-lg-9 col-md-8 col-xs-12 content">
    <div{{ content_attributes.addClass('node__content') }}>
      <div class="row mr-1">
        <h1 class="w-auto">
          {% if not node.isPublished() %}
            <i class="fa-sharp fa-solid fa-lock"></i>
          {% endif %}
          <span>
            {{ node.getTitle() }}
          </span>
        </h1>
      </div>
      <div class="row mt-0 mb-3 mr-1">
        <ul class="list-inline mb-0">
          <li class="list-inline-item mr-4">
            <small>
              {{ 'Available since'|t }}
              {% set metadata_created = node.getCreatedTime()|date('Y-m-d H:i:s') %}
              <time class="fw-bold" datetime="{{ metadata_created }}"
                    title="{{ metadata_created }}" data-placement="top" data-bs-toggle="tooltip">
                {{ node.getCreatedTime()|date('d/m/Y') }}
              </time>
            </small>
          </li>

          <li class="list-inline-item">
            <small>
              {{ 'Last modified'|t }}
              {% set metadata_modified = node.getChangedTime()|date('Y-m-d H:i:s') %}
              <time class="fw-bold" datetime="{{ metadata_modified }}"
                    title="{{ metadata_modified }}" data-placement="top" data-bs-toggle="tooltip">
                {{ node.getChangedTime()|date('d/m/Y') }}
              </time>
            </small>
          </li>
        </ul>
      </div>
      <div class="description-container">
        <div>
          {{ content.field_beschrijving }}
        </div>
      </div>
      {% if content.field_trefwoorden %}
        {{ content.field_trefwoorden }}
      {% endif %}
      {{ content.field_documenten }}

      {% if content.field_gerelateerde_dossiers %}
        {{ content.field_gerelateerde_dossiers }}
      {% endif %}

      {% if content.field_gerelateerde_datasets %}
        {{ content.field_gerelateerde_datasets }}
      {% endif %}
    </div>
  </div>
  <div class="col-lg-3 col-md-4 col-xs-12 p-0">
    {% if manage_links %}
      <div class="mb-3">
        <div class="dropdown no-padding">
          <button class="btn btn-md btn-primary dropdown-toggle w-100" type="button"
                  data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            {{ 'Manage dossier'|t }}
          </button>
          <div class="dropdown-menu w-100">
            {% for manage_link in manage_links %}
              <a class="dropdown-item" rel="nofollow" data-placement="top" data-bs-toggle="tooltip"
                 title="{{ manage_link.label }}"
                 href="{{ manage_link.url }}">
                {{ manage_link.label }}
              </a>
            {% endfor %}
          </div>
        </div>
      </div>
    {% endif %}

    <div class="mb-3">
      <div class="info-block">
        <h2 class="h5">{{ 'Publication'|t }}</h2>
        <dl>
          {% if content.field_publicatiedatum %}
            <dt>
              <i class="fa-fw fa-solid" data-label="{{ 'Publication date'|t }}"></i>
              {{ 'Publication date'|t }}
            </dt>
            <dd>
              {{ content.field_publicatiedatum  }}
            </dd>
          {% endif %}
          <dt>
            <i class="fa-fw fa-solid" data-label="{{ 'Information category'|t }}"></i>
            {{ 'Information category'|t }}
          </dt>
          <dd>
            {{ content.field_informatiecategorie  }}
          </dd>
          <dt>
            <i class="fa-fw fa-solid" data-label="{{ 'Status'|t }}"></i>
            {{ 'Status'|t }}
          </dt>
          <dd>
            {{ content.field_status  }}
          </dd>
          <dt>
            <i class="fa-fw fa-solid" data-label="{{ 'Disclosure level'|t }}"></i>
            {{ 'Disclosure level'|t }}
          </dt>
          <dd>
            {{ content.field_openbaarheidsniveau  }}
          </dd>
        </dl>
      </div>
      <div class="info-block">
        <h2 class="h5">{{ 'Features'|t }}</h2>
        <dl>
          <dt>
            <i class="fa-fw fa-solid" data-label="{{ 'Theme'|t }}"></i>
            {{ 'Theme'|t }}
          </dt>
          <dd>
            {{ content.field_thema }}
          </dd>
          {% if content.field_groepering %}
            <dt>
              <i class="fa-fw fa-solid" data-label="{{ 'Grouping'|t }}"></i>
              {{ 'Grouping'|t }}
            </dt>
            <dd>
              {{ content.field_groepering }}
            </dd>
          {% endif %}
        </dl>
      </div>
      <div class="info-block">
        <h2 class="h5">{{ 'Ownership'|t }}</h2>
        <dl>
          <dt>
            <i class="fa-fw fa-solid" data-label="{{ 'Maintainer'|t({}, {'context': 'facet'}) }}"></i>
            {{ 'Maintainer'|t({}, {'context': 'facet'}) }}
          </dt>
          <dd>
            {{ content.field_bronhouder }}
          </dd>
          {% if content.field_e_mail['#title'] %}
            <dt>
              <i class="fa-fw fa-solid" data-label="{{ 'Email'|t }}"></i>
              {{ 'Email'|t }}
            </dt>
            <dd>
              {{ content.field_e_mail }}
            </dd>
          {% endif %}
        </dl>
      </div>
      <div class="info-block">
        <h2 class="h5">{{ 'Meta data'|t }}</h2>
        <dl>
          <dt>
            <i class="fa-fw fa-solid" data-label="{{ 'Identification number source system'|t }}"></i>
            {{ 'Identification number source system'|t }}
          </dt>
          <dd>
            {{ content.field_identifier }}
          </dd>
        </dl>
      </div>
    </div>
    {% block additionalBlocks %}
    {% endblock %}
  </div>
</article>

{% if node.in_preview %}
  <div>
    {% for preview_link in preview_links %}
      <a class="button button--primary btn btn-primary back-button mt-4" href="{{ preview_link.route }}">{{ preview_link.label }}</a>
    {% endfor %}
  </div>
{% endif %}
